LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XContextMenuInterception Interface Referencepublished

This interface enables an object to get interceptors registered that change context menus or prevent them from being executed. More...

`import"XContextMenuInterception.idl";`

Inheritance diagram for XContextMenuInterception:

## Public Member Functions
void | registerContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| registers an XContextMenuInterceptor, which will become the first interceptor in the chain of registered interceptors. More...
void | releaseContextMenuInterceptor ([in]XContextMenuInterceptor Interceptor)
| removes an XContextMenuInterceptor which was previously registered using XContextMenuInterception::registerContextMenuInterceptor(). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface enables an object to get interceptors registered that change context menus or prevent them from being executed.

Developers Guide
  Writing UNO Components - Intercepting Context Menus

## Member Function Documentation

## ◆ registerContextMenuInterceptor()

void registerContextMenuInterceptor | ( | [in] XContextMenuInterceptor | Interceptor | ) |

registers an XContextMenuInterceptor, which will become the first interceptor in the chain of registered interceptors.

## ◆ releaseContextMenuInterceptor()

void releaseContextMenuInterceptor | ( | [in] XContextMenuInterceptor | Interceptor | ) |

removes an XContextMenuInterceptor which was previously registered using XContextMenuInterception::registerContextMenuInterceptor().

The order of removals is arbitrary. It is not necessary to remove the last registered interceptor first.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XContextMenuInterception.idl